include("scripts/products/regularproduct.lua")
-- global variables and behavior we might need in a specific restaurant

-- entry node
entryX = 0
entryY = 30
entryNode = nil

-- exit node
exitX = 20
exitY = 0
exitNode =  nil

-- restaurant class
class 'restaurant99' (interface)

function restaurant99:__init() super()
end

function restaurant99:onLevelGlobals()
end

function restaurant99:onLevelInited()
end

function restaurant99:createPerson(class)
	return nil
end

function restaurant99:createProduct(base)	
	return nil
end

function restaurant99:createObject(desc)
	return nil
end

-- set restaurant
restaurant = restaurant99()